Package: org.codehaus.groovy.syntax

## [Java] Class TokenException

- org.codehaus.groovy.syntax.TokenException

-     public class TokenException
      extends SyntaxException

  Exception thrown when a token-related error is encountered during parsing. Extends SyntaxException to provide lexical-level error information using a Token as the error location reference.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TokenException(String message, Token token)` Constructs a TokenException from a token and error message.
    `TokenException(String message, Throwable cause, int line, int column)` Constructs a TokenException with explicit position and a cause.
    `TokenException(String message, Throwable cause, int line, int column, int endLine, int endColumn)` Constructs a TokenException with explicit position range and a cause.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public TokenException(String message, Token token)

      Constructs a TokenException from a token and error message. The token's position information is used to determine error location.

      Parameters:
        `message` - the error message
        `token` - the Token where the error occurred (may be null)

    - #### public TokenException(String message, Throwable cause, int line, int column)

      Constructs a TokenException with explicit position and a cause.

      Parameters:
        `message` - the error message
        `cause` - the underlying Throwable that caused this exception
        `line` - the line number where the error occurs (1-based)
        `column` - the column number where the error occurs (1-based)

    - #### public TokenException(String message, Throwable cause, int line, int column, int endLine, int endColumn)

      Constructs a TokenException with explicit position range and a cause.

      Parameters:
        `message` - the error message
        `cause` - the underlying Throwable that caused this exception
        `line` - the starting line number (1-based)
        `column` - the starting column number (1-based)
        `endLine` - the ending line number (1-based)
        `endColumn` - the ending column number (1-based)